View Issue Details

IDProjectCategoryView StatusLast Update
0002579Common[All Projects] Generalpublic2019-01-31 11:27
ReporterXenostomAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0002579: Dépendances inter projects
DescriptionPlutôt qu'un symlink, je vais tenter Composer (ok, c'est moisi, le "autoload" m'emmerde) ou freezer les fichiers en les recopiant via une task Phing (simple et permet de hooker des trucs)
TagsNo tags attached.
Attach Tags

Activities

Xenostom

Xenostom

2018-11-16 18:27

developer   ~0003890

Voilà, j'ai mis un "pull/push" des codes du framework et mis le plugin à jour.

L'intérêt de faire ainsi est que, ayant de plus en plus de projets, j'ai peut qu'obliger à utiliser la dernière version du FW ne finisse par me coincer...
Maintenant, je peux "freezer" le code du framework (en le pullant sur le projet). le FW peut alors évoluer si besoin, sans péter les projets existants.

Si je veux mettre le FW à jour sur un projet, je le repull, et je m'assure que tout marche bien.

Si je veux ajouter des features au FW, soit je les code directement dedans puis je pull, soit je code la feature dans un des projets, puis je push le FW, je le commit, et je le pull.
Xenostom

Xenostom

2018-11-16 18:29

developer   ~0003891

PS: j'avais pensé passer apr Composer plutôt que du bricolage perso, mais:
- Cela ne permet pas de push
- Ca fout la merde avec des autoload que je ne comprends pas et dont je ne veux pas
- Ca mets les sources dans un dossier "vendor", et si je le configure autrement alors je sors du standard
- Le chemin du framework ainsi chargé par composer me déplait (vendor/reinom/phpfwk au lieu de php/framework) et je ne veux pas ramer pour remapper tout ça
- Ca amène de la complexité

Donc, j'ia fait mon bricolage, je le trouve plus simple, suffisant, et extensible si besoin.
Xenos

Xenos

2019-01-31 11:27

administrator   ~0003935

Attention à ne pas trop commiter du code de FW dans les projets, et à bien puller le FW avant, et le pusher après si je commit ce code FW dans ces projets

Issue History

Date Modified Username Field Change
2018-11-16 16:27 Xenostom New Issue
2018-11-16 16:28 Xenostom Assigned To => Xenostom
2018-11-16 16:28 Xenostom Status New => In progress
2018-11-16 18:27 Xenostom Status In progress => Close
2018-11-16 18:27 Xenostom Resolution open => fixed
2018-11-16 18:27 Xenostom Note Added: 0003890
2018-11-16 18:29 Xenostom Status Close => Feedback
2018-11-16 18:29 Xenostom Resolution fixed => reopened
2018-11-16 18:29 Xenostom Note Added: 0003891
2018-11-16 18:29 Xenostom Status Feedback => Close
2019-01-28 21:54 AutoUpdater Assigned To Xenostom =>
2019-01-28 21:54 AutoUpdater Status Close => Resolved
2019-01-31 11:27 Xenos Assigned To => Xenos
2019-01-31 11:27 Xenos Status Resolved => Close
2019-01-31 11:27 Xenos Note Added: 0003935